<?xml version="1.0" encoding="UTF-8"?>
<beans
  xmlns="http://www.springframework.org/schema/beans"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns:amq="http://activemq.apache.org/schema/core"
  xsi:schemaLocation="
       http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
       http://camel.apache.org/schema/spring http://camel.apache.org/schema/spring/camel-spring.xsd
       http://activemq.apache.org/schema/core http://activemq.apache.org/schema/core/activemq-core.xsd">

  <bean id="activemq" class="org.apache.activemq.camel.component.ActiveMQComponent">
    <property name="brokerURL" value="tcp://localhost:61616"/>
    <property name="userName" value="hxgnminadmin" />
    <property name="password" value="Hex$%$1212@" />
  </bean>

  <camelContext xmlns="http://camel.apache.org/schema/spring">
    <route id="firstRoute">
      <from uri="file:data/inbox/FAT?noop=true"/>
      <to uri="activemq:personnel.records"/>
      <to uri="activemq:browse.me"/>
    </route>
    <route id="secondRoute">
      <from uri="activemq:personnel.records"/>
      <choice>
        <when>
          <xpath>/person/city = 'London'</xpath>
          <to uri="file:data/outbox/FAT/messages/uk"/>
        </when>
        <otherwise>
          <to uri="file:data/outbox/FAT/others"/>
        </otherwise>
      </choice>
    </route>
  </camelContext>
</beans>
